<!doctype html>
<html lang="ru">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Layout 3. Lab 6: forms</title>
    <link rel="apple-touch-icon" sizes="180x180" href="assets/template/image/favicon/apple-touch-icon.png">
    <link rel="icon" type="image/png" sizes="32x32" href="assets/template/image/favicon/favicon-32x32.png">
    <link rel="icon" type="image/png" sizes="16x16" href="assets/template/image/favicon/favicon-16x16.png">
    <link rel="manifest" href="assets/template/image/favicon/site.webmanifest">
    <meta name="msapplication-TileColor" content="#da532c">
    <meta name="theme-color" content="#ffffff">
    <link rel="stylesheet" href="assets/template/style/css/style.min.css">
</head>
<body>
<div class="wrapper">
    <header class="header">
        <div class="container header-container">
            <a class="header-logo-link" href="/">
                <img class="header-logo-image" src="assets/template/image/logo/logo_black.png" alt="T.Pass logo"
                     loading="lazy" width="127" height="47">
            </a>
            <nav class="navbar">
                <ul class="navbar-nav">
                    <li class="nav-item">
                        <a class="nav-link" href="/">Stores</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="/">Help & Support</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link header-button" href="/">Download</a>
                    </li>
                </ul>
            </nav>
        </div>
    </header>
    <main class="main">
        <section class="section-form">
            <div class="container">
                <h1 class="section-form-title">Форма регистрации нового пользователя</h1>
                <form class="form" action="//httpbin.org/post" method="post">
                    <fieldset class="fieldset">
                        <legend class="legend">Личная информация</legend>
                        <label><span class="input-label-text">Имя</span><input class="input" type="text" name="userName"
                                                                               placeholder="Иван" required></label>
                        <label><span class="input-label-text">Дата рождения</span><input class="input" type="date"
                                                                                         name="userBirthday"></label>
                        <p>Пол
                            <label><input type="radio" name="userGender" value="М" checked> <span
                                    class="checked">М</span></label>
                            <label><input type="radio" name="userGender" value="Ж"> <span
                                    class="checked">Ж</span></label>
                        </p>
                        <label class="input-password-label">
                            <span class="input-label-text">Пароль</span>
                            <input class="input input-password" type="password" name="userPassword"
                                   placeholder="Придумайте пароль, пожалуйста" required>
                        </label>
                    </fieldset>
                    <fieldset class="fieldset">
                        <legend class="legend">Контактные данные</legend>
                        <label><span class="input-label-text">Email</span><input class="input" type="email"
                                                                                 name="userEmail"
                                                                                 placeholder="ivan@gmail.com" required></label>
                        <label><span class="input-label-text">Телефон</span><input class="input" type="tel"
                                                                                   name="userTel"
                                                                                   placeholder="+78005553535" required></label>
                        <p>Удобный интервал для связи по МСК:
                            <label><input type="checkbox" name="callTime" value="morning"> <span class="checked">утро</span></label>
                            <label><input type="checkbox" name="callTime" value="afternoon"> <span class="checked">день</span></label>
                            <label><input type="checkbox" name="callTime" value="evening"> <span class="checked">вечер</span></label>
                            <label><input type="checkbox" name="callTime" value="night"> <span class="checked">ночь</span></label>
                        </p>
                    </fieldset>
                    <button class="button button-submit" type="submit">
                        Отправить
                        <svg class="button-submit-arrow icon icon-arrow-right">
                            <use xlink:href="assets/template/image/sprite.svg#arrowRight"></use>
                        </svg>
                    </button>
                    <button class="button button-reset" type="reset" disabled>Сбросить</button>
                </form>
                <form action="//httpbin.org/post" method="post">
                    <dl>
                        <dt>:псевдоклассы</dt>
                        <dd>Особый вид селектора, который уточняет тип или состояние. Обычно это какой-то качественный
                            признак: реакция на наведение курсора, порядок следования и другие.
                        </dd>
                        <dt>::псевдоэлементы</dt>
                        <dd>Элементы, которых не существует в HTML-разметке, но действуют так, как если бы вы добавили в
                            разметку целый новый HTML-элемент.
                            Они создаются и позиционируются исключительно при помощи CSS.
                            Чаще всего используются для создания различных декоративных элементов (которые не несут
                            содержательного смысла).
                        </dd>
                    </dl>
                    <fieldset class="fieldset">
                        <legend class="legend">Использованные псевдоклассы</legend>
                        <label>
                            <input type="checkbox"><span class="checked-strike">:root</span>
                        </label>
                        <label>
                            <input type="checkbox"><span class="checked-strike">:link</span>
                        </label>
                        <label>
                            <input type="checkbox"><span class="checked-strike">:visited</span>
                        </label>
                        <label>
                            <input type="checkbox" checked><span class="checked-strike">:hover</span>
                        </label>
                        <label>
                            <input type="checkbox"><span class="checked-strike">:active</span>
                        </label>
                        <label>
                            <input type="checkbox" checked><span class="checked-strike">:focus</span>
                        </label>
                        <label>
                            <input type="checkbox"><span class="checked-strike">Псевдоклассы группы child</span>
                        </label>
                        <label>
                            <input type="checkbox" checked><span class="checked-strike">Псевдоклассы группы type</span>
                        </label>
                        <label>
                            <input type="checkbox" checked><span class="checked-strike">:checked</span>
                        </label>
                        <label>
                            <input type="checkbox" checked><span class="checked-strike">:disabled, :enabled</span>
                        </label>
                        <label>
                            <input type="checkbox"><span class="checked-strike">:in-range, :out-of-range</span>
                        </label>
                        <label>
                            <input type="checkbox" checked><span class="checked-strike">:required</span>
                        </label>
                        <label>
                            <input type="checkbox"><span class="checked-strike">:invalid, :valid</span>
                        </label>
                        <label>
                            <input type="checkbox"><span class="checked-strike">:placeholder-shown</span>
                        </label>
                        <label>
                            <input type="checkbox"><span class="checked-strike">:not</span>
                        </label>
                        <label>
                            <input type="checkbox"><span class="checked-strike">:is()</span>
                        </label>
                        <label>
                            <input type="checkbox"><span class="checked-strike">:empty</span>
                        </label>
                        <label>
                            <input type="checkbox"><span class="checked-strike">:has</span>
                        </label>
                    </fieldset>
                    <fieldset class="fieldset">
                        <legend class="legend">Использованные псевдоэлементы</legend>
                        <label class="pseudo-element-label">
                            <input type="checkbox" checked><span class="checked-strike">::first-letter</span>
                        </label>
                        <label class="pseudo-element-label">
                            <input type="checkbox"><span class="checked-strike">::first-line</span>
                        </label>
                        <label class="pseudo-element-label">
                            <input type="checkbox" checked><span class="checked-strike">::selection</span>
                        </label>
                        <label class="pseudo-element-label">
                            <input type="checkbox"><span class="checked-strike">::marker</span>
                        </label>
                        <label class="pseudo-element-label">
                            <input type="checkbox" checked><span class="checked-strike">::before</span>
                        </label>
                        <label class="pseudo-element-label">
                            <input type="checkbox"><span class="checked-strike">::after</span>
                        </label>
                        <label class="pseudo-element-label">
                            <input type="checkbox" checked><span class="checked-strike">::placeholder</span>
                        </label>
                    </fieldset>
                </form>
            </div>
        </section>
    </main>
    <footer class="footer">
        <img class="footer-image-left" src="assets/template/image/leaf/leaf_blue.png" alt="T.Pass. Blue leaves"
             loading="lazy">
        <img class="footer-image-right" src="assets/template/image/leaf/leaf_orange.png" alt="T.Pass. Orange leaves"
             loading="lazy">
        <div class="container footer-container">
            <div class="footer-logo-container">
                <a class="footer-logo-link" href="/">
                    <img src="assets/template/image/logo/logo_white.png" alt="T.Pass logo" loading="lazy" width="130" height="49">
                </a>
            </div>
            <div class="footer-links-container">
                <h3 class="footer-links-title">Company</h3>
                <ul class="footer-links">
                    <li class="footer-link-container">
                        <a class="footer-link" href="/">Merchant Portal</a>
                    </li>
                </ul>
            </div>
            <div class="footer-links-container">
                <h3 class="footer-links-title">Support</h3>
                <ul class="footer-links">
                    <li class="footer-link-container">
                        <a class="footer-link" href="/">FAQ</a>
                    </li>
                    <li class="footer-link-container">
                        <a class="footer-link" href="/">Terms of Service</a>
                    </li>
                    <li class="footer-link-container">
                        <a class="footer-link" href="/">Privacy Policy</a>
                    </li>
                </ul>
            </div>
            <div class="footer-links-container">
                <h3 class="footer-links-title">Follow us</h3>
                <ul class="footer-links">
                    <li class="footer-link-container">
                        <a class="footer-link" href="/">Twitter</a>
                    </li>
                    <li class="footer-link-container">
                        <a class="footer-link" href="/">Instagram</a>
                    </li>
                    <li class="footer-link-container">
                        <a class="footer-link" href="/">Facebook</a>
                    </li>
                </ul>
            </div>
        </div>
    </footer>
</div>
<!--test-->
<!--<svg class="test-svg">-->
<!--    <use xlink:href="assets/template/image/sprite.svg#Freesample"></use>-->
<!--</svg>-->
<!--<span class="icon icon-PNG-transparency-demonstration-1"></span>-->
</body>
</html>